package net.wanji.databus.bo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
public class HeatMapBO {
    @ApiModelProperty(value = "路口ID")
    private String crossId;

    @ApiModelProperty(value = "开始日期 yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date startDate;

    @ApiModelProperty(value = "结束日期 yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date endDate;

    @ApiModelProperty(value = "路口状态 0正常 1 失衡  2 拥堵 3 溢出")
    private Integer status;

    @ApiModelProperty(value = "小时分钟 格式 08:00")
    private String hourMinute;
}
