package net.wanji.databus.dao.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author Kent HAN
 * @date 2023/10/7 14:34
 */

@Data
@TableName("t_greenwave_hist")
public class GreenwaveHistPO extends GreenwaveRealtimePO{
    @ApiModelProperty(value = "绿波名称")
    @TableField(exist = false)
    private String greenwaveName;

    @ApiModelProperty(value = "协调方向：0正向；1反向；2双向")
    @TableField(exist = false)
    private Integer dir;
}
