package net.wanji.databus.dao.entity;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author guoliang.dong
 * @date 2024/11/19 8:40
 */
@Data
public class LinkInfoEntity {
    /**
     * 高德编号
     */
    @ApiModelProperty(name = "高德LINK编号", notes = "")
    private String linkId;
    /**
     * 路段编号
     */
    @ApiModelProperty(name = "路段编号", notes = "")
    private String rid;

    /**
     * 行驶方向：0上行；1下行
     */
    @ApiModelProperty(name = "行驶方向：0上行；1下行", notes = "")
    private Integer direction;
    @ApiModelProperty(name = "顺序号", notes = "")
    private Integer orderId;

    @ApiModelProperty(name = "行政区划代码，跨区数据会以逗号分开", notes = "")
    private String areaCode;

    /**
     * RID;空间对象
     */
    @ApiModelProperty(name = "空间对象", notes = "空间对象")
    private String wkt;

    /**
     * 创建时间
     */
    @ApiModelProperty(name = "创建时间", notes = "")
    private Date gmtCreate;

}
