package net.wanji.databus.dao.mapper;

import net.wanji.databus.dao.entity.CrossLightsPO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author Kent HAN
 * @date 2022/11/18 14:10
 */
public interface CrossLightsMapper {
    void deleteOne(@Param("crossId") String crossId,
                   @Param("elementId") String elementId);

    void insertOne(CrossLightsPO crossLightsPO);

    List<CrossLightsPO> selectByCrossId(@Param("crossId") String crossId);

    void deleteByCrossId(String crossId);

    CrossLightsPO selectEntity(@Param("entity") CrossLightsPO entity);
    List<CrossLightsPO> selectByphaseId(@Param("phaseId") Integer phaseId);

}
