package net.wanji.databus.dao.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import net.wanji.databus.dao.entity.GreenwaveHistPO;
import net.wanji.databus.dao.entity.GreenwaveHistPOExt;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.Date;
import java.util.List;

/**
 * @author Kent HAN
 * @date 2022/10/31 11:03
 */
@Repository
public interface GreenwaveHistMapper extends BaseMapper<GreenwaveHistPO> {
    List<GreenwaveHistPOExt> selectRunMonitor(Date nowTime);

    List<GreenwaveHistPO> selectByTimeSection(String startTimeStr, String endTimeStr);

    List<GreenwaveHistPO> selectByIdAndTimeSection(Integer greenwaveId, String startTimeStr, String endTimeStr);

    int insertBatch(@Param("list") List<GreenwaveHistPO> list);

    List<GreenwaveHistPO> selectByIdAndType(@Param("greenwaveId") Integer greenwaveId,@Param("statusList") List<Integer> statusList);

}
