package net.wanji.databus.dao.mapper;

import net.wanji.databus.dao.entity.GreenwaveInfoPO;
import net.wanji.databus.vo.GreenwaveListVO;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * 态势监测-绿波基础信息
 *
 * @author Kent HAN
 * @date 2023/2/8 9:22
 */
@Repository
public interface GreenwaveInfoMapper {
    List<GreenwaveListVO> listGreenwave(Integer status, String name, Integer type);

    List<String> selectCrossIdsById(Integer greenwaveId);

    GreenwaveInfoPO selectById(Integer id);

    List<GreenwaveInfoPO> selectAll();

    GreenwaveInfoPO selectByName(String greenwaveName);

    List<GreenwaveInfoPO> findByMap(Map params);
}
