package net.wanji.databus.po;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @ClassName CrossSchemePO
 * @Description 路口方案信息
 * @Author zhouleilei
 * @Date 2024/12/5 14:41
 */
@Data
public class CrossNowSchemePO {
    /** 方案号 */
    @ApiModelProperty(name = "方案号",notes = "")
    private Integer schemeId ;
    /** 方案名称 */
    @ApiModelProperty(name = "方案名称",notes = "")
    private String name ;
    /** 路口ID */
    @ApiModelProperty(name = "路口ID",notes = "")
    private String crossId ;
    /** 周期 */
    @ApiModelProperty(name = "周期",notes = "")
    private Integer cycle = 0;
    /** 相位差 */
    @ApiModelProperty(name = "相位差",notes = "")
    private Integer offset = 0;
    /** 时段号 */
    @ApiModelProperty(name = "时段号",notes = "")
    private Integer  sectionNo ;
    /** 开始时间 */
    @ApiModelProperty(name = "开始时间",notes = "")
    private String  startTime ;
    /** 结束时间 */
    @ApiModelProperty(name = "结束时间",notes = "")
    private String  endTime ;
    /** 控制模式 */
    @ApiModelProperty(name = "控制模式",notes = "1定周期；2绿波协调；3黄闪；4全红；5关灯；6单点自适应；7全感应；8半感应；9',")
    private Integer  controlMode ;

}
