package net.wanji.databus.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author duanruiming
 * @date 2023/02/07 15:13
 */
@Data
@ApiModel(value = "分页实体")
public class PageVO {
    @ApiModelProperty(required = true, value = "页号")
    @TableField(exist = false)
    Integer pageNum;
    @ApiModelProperty(required = true, value = "每页记录数")
    @TableField(exist = false)
    Integer pageSize;
}
