package net.wanji.databus.po;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;
import java.util.Map;

/**
 * @ClassName CrossDirDataTimeListtPO
 * @Description 路口分方向状态数据
 * @Author zhouleilei
 * @Date 2025/1/2 19:48
 */
@Data
public class CrossDirStatusDataPO {
    @ApiModelProperty(value = "时间列表", example = "")
    private List<String> timeList;

    @ApiModelProperty(value = "路口各方向的状态集合", example = "")
    private Map<Integer, List<Integer>> dirStatusListMap;

}
