package net.wanji.databus.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @ClassName EventInfoTrafficStatusVO
 * @Description 路口监测、干线监测-交通状态VO
 * @Author zhouleilei
 * @Date 2025/1/14 11:25
 */
@Data
public class EventInfoTrafficStatusVO {
    @ApiModelProperty(value = "时间轴,小时",notes = "")
    private List<String> timeList ;

    @ApiModelProperty(value = "事件次数",notes = "")
    private List<Integer> eventCount ;

    @ApiModelProperty(value = "事件持续时间，单位:秒",notes = "")
    private List<Integer> durationTime ;
}
